물어보기서버관련
조회 수 98 댓글 2
Extra Form

[기존]

cetnos 6.9 / apache 2.2 / php 7.0

[변경]

cetnos 7 / apache 2.4 / php 7.1

 

 

위와 같이 서버 사양을 변경하려고 합니다

 

혹시 신경써주어야 할 부분이 있을까요?

 

centos 7 버전에서 한글 깨짐 문제가 있다던데... https://xetown.com/tiptalk/662200

 

php 는 7.0에서 호환되는 것은 7.1에서도 대부분 굴러간다고 해서

 

썩 문제되지 않는데 아파치와 서버 OS 업그레이드가 조금 걱정되네요

  • profile
    기진곰 2018.05.14 15:57:33

    한글 깨짐 문제는 서버 설정이 잘못되었더나 PuTTY 설정이 잘못되어서 그런 것이고

    센토스 버전이나 PHP 버전과는 무관합니다.

     

    센토스 버전에 맞는 방법으로 locale 설정을 해주고

    PuTTY 쪽에서도 인코딩을 UTF-8로 설정하면

    UTF-8로 인코딩된 XE 관련 파일은 전혀 깨지지 않습니다.

  • ?
    natura 2018.05.14 16:51:54
    Centos 7에 Nginx에 php버전 2개 쓰고있는데 전혀 문제가 없습니다

서버에 요청 중입니다. 잠시만 기다려 주십시오...